Servoy JasperReports Plugin - Defect #347

i18n breaks on subreports
07/26/2011 11:36 PM - Scott Butler

Status: Closed Start date: 07/26/2011
Priority: Normal Due date:

Assignee: Andrei Costache % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

Using the latest version of the plugin, and using FoundSet reports with subreports (as described here:
https://www.servoyforge.net/projects/servoy-jasperreports/wiki/Servoy JasperReports_Plugin_v320_-_Release_Notes ) , i18n
breaks on the subreports.

So if you place a field with $R{my.i18n.key} it will work on the main report, but not on the subreports.

History

#1 - 08/02/2011 11:03 AM - Andrei Costache
- Status changed from New to In Progress

- Assignee set to Andrei Costache

Hi Scott,

It should work if you have add the REPORT_RESOURCE_BUNDLE as a parameter for the subreport. Add this to your main report:
<subreportParameter name="REPORT_RESOURCE_BUNDLE">
<subreportParameterExpression><! [CDATA[S$P {REPORT_RESOURCE_BUNDLE}] ]></subreportParameterExpression>
</subreportParameter>

Hope this helps.

Regards,
Andrei

#2 - 08/02/2011 11:15 AM - Andrei Costache

- Status changed from In Progress to Closed

#3 - 09/23/2011 07:42 PM - Imre Tokai
Hello,
Is there anything else to configure? | get null when try to display $R{my.i18n.key} in subreport.

Have | missed sg?
http://forum.servoy.com/viewtopic.php?f=15&t=11639

Regards
